body {
    background-color: #1a0033;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    font-family: 'Times New Roman', Times, serif, sans-serif;
    font-size: 24px;
    text-align: center;
}

.container {
    padding: 50px;
    font-size: 55px;
}

.logo-container {
    margin-bottom: 20px;
}

.logo {
    width: 100px;
    height: 100px;
    filter: drop-shadow(0 0 10px rgba(171, 164, 255, 0.7));
    border-radius: 50%;
    object-fit: cover;
    transition: filter 0.3s ease;
}

.timer {
    background-color: #000000;
    padding: 30px;
    border-radius: 7px;
    box-shadow: 0 0 10px 0 rgba(255, 255, 255, 0.7);
}
.timer-display {
    font-size: 98px;
    font-weight: bold;
    color: #fff;
    margin-bottom: 10px;
}

.info-text {
    font-size: 17px;
    color: #775aa1;
    border-top: 1px solid #4a346b;
    padding-top: 5px;
    opacity: 0.8;
    margin-top: 40px;
    text-align: center;
}

.mode-indicator {
    font-size: 15px;
    font-family: monospace;
    letter-spacing: 2px;
    color: #c0bcc5;
    opacity: 0.8;
    margin-bottom: 10px;
}

.progress-bar-container {
    width: 100%;
    height: 8px;
    background-color: #000;
    border-radius: 4px;
    margin-top: 20px;
    overflow: hidden;
}

.progress-bar {
    height: 100%;
    width: 100%;
    background-color: #cc0000;
    transition: width 0.3s ease;
    border-radius: 4px;
}
.buttons {
    display: flex;
    justify-content: center;
    margin-top: 30px;
    gap: 10px;
}

.start-button, .break-button, .stop-button, .reset-button {
    background-color: #0e0025;
    color: #f3f3f3;
    border: 1px solid #3d3d3d;
    padding: 20px 30px;
    font-size: 20px;
    border-radius: 6px;
    cursor: pointer;
}

.start-button.active {
    background-color: #cc0000;
    color: #fff;
    border: 1px solid #ff3333;
}

.start-button:hover, .break-button:hover, .stop-button:hover, .reset-button:hover {
    background-color: #32007e;
    color: #fff;
    border: 1px solid #c5c5c5;
}

.start-button.active:hover {
    background-color: #ff0000;
    border: 1px solid #ff6666;
}